:root
{
	/* Primary */
	--primary: #337ab7;
	--primary-rgb: 51,122,183;
	--primary-text: #f8f9fa;
	--primary-text-inactive: rgba(248, 249, 250, 0.8);
	--primary-text-disabled: rgba(248, 249, 250, 0.5);
	--primary-text-emphasis: #0f2537;
	--primary-bg-subtle: #ebf2f8;
	--primary-border-subtle: #a9c7e1;
	--primary-text-emphasis-dark: #adcae2;
	--primary-bg-subtle-dark: #0a1825;
	--primary-border-subtle-dark: #143149;
	--primary-10: #3279b5;
	--primary-20: #3278b3;
	--primary-30: #3176b2;
	--primary-40: #3175b0;
	--primary-50: #3074ae;
	--primary-60: #3073ac;
	--primary-70: #2f71aa;
	--primary-80: #2f70a8;
	--primary-90: #2e6fa7;
	--primary-100: #2e6ea5;
	--primary-200: #296292;
	--primary-300: #245580;
	--primary-400: #1f496e;
	--primary-500: #1a3d5c;
	--primary--10: #357bb8;
	--primary--20: #377db8;
	--primary--30: #397eb9;
	--primary--40: #3b7fba;
	--primary--50: #3d81bb;
	--primary--60: #3f82bb;
	--primary--70: #4183bc;
	--primary--80: #4385bd;
	--primary--90: #4586bd;
	--primary--100: #4787be;
	--primary--200: #5c95c5;
	--primary--300: #70a2cd;
	--primary--400: #85afd4;
	--primary--500: #99bddb;
	--primary-rgba-0: rgba(51, 122, 183, 0);
	--primary-rgba-10: rgba(51, 122, 183, 0.1);
	--primary-rgba-20: rgba(51, 122, 183, 0.2);
	--primary-rgba-30: rgba(51, 122, 183, 0.3);
	--primary-rgba-40: rgba(51, 122, 183, 0.4);
	--primary-rgba-50: rgba(51, 122, 183, 0.5);
	--primary-rgba-60: rgba(51, 122, 183, 0.6);
	--primary-rgba-70: rgba(51, 122, 183, 0.7);
	--primary-rgba-80: rgba(51, 122, 183, 0.8);
	--primary-rgba-90: rgba(51, 122, 183, 0.9);

	/* Secondary */
	--secondary: #f89c2e;
	--secondary-rgb: 248,156,46;
	--secondary-text: #f8f9fa;
	--secondary-text-inactive: rgba(248, 249, 250, 0.8);
	--secondary-text-disabled: rgba(248, 249, 250, 0.5);
	--secondary-text-emphasis: #4a2f0e;
	--secondary-bg-subtle: #fef5ea;
	--secondary-border-subtle: #fcd5a7;
	--secondary-text-emphasis-dark: #fcd7ab;
	--secondary-bg-subtle-dark: #321f09;
	--secondary-border-subtle-dark: #633e12;
	--secondary-10: #f69a2e;
	--secondary-20: #f3992d;
	--secondary-30: #f1972d;
	--secondary-40: #ee962c;
	--secondary-50: #ec942c;
	--secondary-60: #e9932b;
	--secondary-70: #e7912b;
	--secondary-80: #e4902a;
	--secondary-90: #e28e2a;
	--secondary-100: #df8c29;
	--secondary-200: #c67d25;
	--secondary-300: #ae6d20;
	--secondary-400: #955e1c;
	--secondary-500: #7c4e17;
	--secondary--10: #f89d30;
	--secondary--20: #f89e32;
	--secondary--30: #f89f34;
	--secondary--40: #f8a036;
	--secondary--50: #f8a138;
	--secondary--60: #f8a23b;
	--secondary--70: #f8a33d;
	--secondary--80: #f9a43f;
	--secondary--90: #f9a541;
	--secondary--100: #f9a643;
	--secondary--200: #f9b058;
	--secondary--300: #faba6d;
	--secondary--400: #fbc482;
	--secondary--500: #fcce97;
	--secondary-rgba-0: rgba(248, 156, 46, 0);
	--secondary-rgba-10: rgba(248, 156, 46, 0.1);
	--secondary-rgba-20: rgba(248, 156, 46, 0.2);
	--secondary-rgba-30: rgba(248, 156, 46, 0.3);
	--secondary-rgba-40: rgba(248, 156, 46, 0.4);
	--secondary-rgba-50: rgba(248, 156, 46, 0.5);
	--secondary-rgba-60: rgba(248, 156, 46, 0.6);
	--secondary-rgba-70: rgba(248, 156, 46, 0.7);
	--secondary-rgba-80: rgba(248, 156, 46, 0.8);
	--secondary-rgba-90: rgba(248, 156, 46, 0.9);

	/* Success */
	--success: #198754;
	--success-rgb: 25,135,84;
	--success-text: #f8f9fa;
	--success-text-inactive: rgba(248, 249, 250, 0.8);
	--success-text-disabled: rgba(248, 249, 250, 0.5);
	--success-text-emphasis: #082919;
	--success-bg-subtle: #e8f3ee;
	--success-border-subtle: #9ecdb7;
	--success-text-emphasis-dark: #a3cfbb;
	--success-bg-subtle-dark: #051b11;
	--success-border-subtle-dark: #0a3622;
	--success-10: #198653;
	--success-20: #198452;
	--success-30: #188351;
	--success-40: #188251;
	--success-50: #188050;
	--success-60: #187f4f;
	--success-70: #177e4e;
	--success-80: #177c4d;
	--success-90: #177b4c;
	--success-100: #177a4c;
	--success-200: #146c43;
	--success-300: #125f3b;
	--success-400: #0f5132;
	--success-500: #0d442a;
	--success--10: #1b8856;
	--success--20: #1e8957;
	--success--30: #208b59;
	--success--40: #228c5b;
	--success--50: #258d5d;
	--success--60: #278e5e;
	--success--70: #298f60;
	--success--80: #2b9162;
	--success--90: #2e9263;
	--success--100: #309365;
	--success--200: #479f76;
	--success--300: #5eab87;
	--success--400: #75b798;
	--success--500: #8cc3aa;
	--success-rgba-0: rgba(25, 135, 84, 0);
	--success-rgba-10: rgba(25, 135, 84, 0.1);
	--success-rgba-20: rgba(25, 135, 84, 0.2);
	--success-rgba-30: rgba(25, 135, 84, 0.3);
	--success-rgba-40: rgba(25, 135, 84, 0.4);
	--success-rgba-50: rgba(25, 135, 84, 0.5);
	--success-rgba-60: rgba(25, 135, 84, 0.6);
	--success-rgba-70: rgba(25, 135, 84, 0.7);
	--success-rgba-80: rgba(25, 135, 84, 0.8);
	--success-rgba-90: rgba(25, 135, 84, 0.9);

	/* Danger */
	--danger: #dc3545;
	--danger-rgb: 220,53,69;
	--danger-text: #f8f9fa;
	--danger-text-inactive: rgba(248, 249, 250, 0.8);
	--danger-text-disabled: rgba(248, 249, 250, 0.5);
	--danger-text-emphasis: #421015;
	--danger-bg-subtle: #fcebec;
	--danger-border-subtle: #f0aab1;
	--danger-text-emphasis-dark: #f1aeb5;
	--danger-bg-subtle-dark: #2c0b0e;
	--danger-border-subtle-dark: #58151c;
	--danger-10: #da3444;
	--danger-20: #d83444;
	--danger-30: #d53343;
	--danger-40: #d33342;
	--danger-50: #d13242;
	--danger-60: #cf3241;
	--danger-70: #cd3140;
	--danger-80: #ca313f;
	--danger-90: #c8303f;
	--danger-100: #c6303e;
	--danger-200: #b02a37;
	--danger-300: #9a2530;
	--danger-400: #842029;
	--danger-500: #6e1b23;
	--danger--10: #dc3747;
	--danger--20: #dd3949;
	--danger--30: #dd3b4b;
	--danger--40: #dd3d4c;
	--danger--50: #de3f4e;
	--danger--60: #de4150;
	--danger--70: #de4352;
	--danger--80: #df4554;
	--danger--90: #df4756;
	--danger--100: #e04958;
	--danger--200: #e35d6a;
	--danger--300: #e7727d;
	--danger--400: #ea868f;
	--danger--500: #ee9aa2;
	--danger-rgba-0: rgba(220, 53, 69, 0);
	--danger-rgba-10: rgba(220, 53, 69, 0.1);
	--danger-rgba-20: rgba(220, 53, 69, 0.2);
	--danger-rgba-30: rgba(220, 53, 69, 0.3);
	--danger-rgba-40: rgba(220, 53, 69, 0.4);
	--danger-rgba-50: rgba(220, 53, 69, 0.5);
	--danger-rgba-60: rgba(220, 53, 69, 0.6);
	--danger-rgba-70: rgba(220, 53, 69, 0.7);
	--danger-rgba-80: rgba(220, 53, 69, 0.8);
	--danger-rgba-90: rgba(220, 53, 69, 0.9);

	/* Warning */
	--warning: #ffc107;
	--warning-rgb: 255,193,7;
	--warning-text: #f8f9fa;
	--warning-text-inactive: rgba(248, 249, 250, 0.8);
	--warning-text-disabled: rgba(248, 249, 250, 0.5);
	--warning-text-emphasis: #4d3a02;
	--warning-bg-subtle: #fff9e6;
	--warning-border-subtle: #ffe597;
	--warning-text-emphasis-dark: #ffe69c;
	--warning-bg-subtle-dark: #332701;
	--warning-border-subtle-dark: #664d03;
	--warning-10: #fcbf07;
	--warning-20: #fabd07;
	--warning-30: #f7bb07;
	--warning-40: #f5b907;
	--warning-50: #f2b707;
	--warning-60: #f0b507;
	--warning-70: #edb307;
	--warning-80: #ebb206;
	--warning-90: #e8b006;
	--warning-100: #e6ae06;
	--warning-200: #cc9a06;
	--warning-300: #b38705;
	--warning-400: #997404;
	--warning-500: #806104;
	--warning--10: #ffc209;
	--warning--20: #ffc20c;
	--warning--30: #ffc30e;
	--warning--40: #ffc311;
	--warning--50: #ffc413;
	--warning--60: #ffc516;
	--warning--70: #ffc518;
	--warning--80: #ffc61b;
	--warning--90: #ffc71d;
	--warning--100: #ffc720;
	--warning--200: #ffcd39;
	--warning--300: #ffd451;
	--warning--400: #ffda6a;
	--warning--500: #ffe083;
	--warning-rgba-0: rgba(255, 193, 7, 0);
	--warning-rgba-10: rgba(255, 193, 7, 0.1);
	--warning-rgba-20: rgba(255, 193, 7, 0.2);
	--warning-rgba-30: rgba(255, 193, 7, 0.3);
	--warning-rgba-40: rgba(255, 193, 7, 0.4);
	--warning-rgba-50: rgba(255, 193, 7, 0.5);
	--warning-rgba-60: rgba(255, 193, 7, 0.6);
	--warning-rgba-70: rgba(255, 193, 7, 0.7);
	--warning-rgba-80: rgba(255, 193, 7, 0.8);
	--warning-rgba-90: rgba(255, 193, 7, 0.9);

	/* Info */
	--info: #0dcaf0;
	--info-rgb: 13,202,240;
	--info-text: #f8f9fa;
	--info-text-inactive: rgba(248, 249, 250, 0.8);
	--info-text-disabled: rgba(248, 249, 250, 0.5);
	--info-text-emphasis: #043d48;
	--info-bg-subtle: #e7fafe;
	--info-border-subtle: #99e9f9;
	--info-text-emphasis-dark: #9eeaf9;
	--info-bg-subtle-dark: #032830;
	--info-border-subtle-dark: #055160;
	--info-10: #0dc8ee;
	--info-20: #0dc6eb;
	--info-30: #0dc4e9;
	--info-40: #0cc2e6;
	--info-50: #0cc0e4;
	--info-60: #0cbee2;
	--info-70: #0cbcdf;
	--info-80: #0cbadd;
	--info-90: #0cb8da;
	--info-100: #0cb6d8;
	--info-200: #0aa2c0;
	--info-300: #098da8;
	--info-400: #087990;
	--info-500: #076578;
	--info--10: #0fcbf0;
	--info--20: #12cbf0;
	--info--30: #14ccf0;
	--info--40: #17ccf1;
	--info--50: #19cdf1;
	--info--60: #1ccdf1;
	--info--70: #1ecef1;
	--info--80: #20cef1;
	--info--90: #23cff1;
	--info--100: #25cff2;
	--info--200: #3dd5f3;
	--info--300: #56daf5;
	--info--400: #6edff6;
	--info--500: #86e5f8;
	--info-rgba-0: rgba(13, 202, 240, 0);
	--info-rgba-10: rgba(13, 202, 240, 0.1);
	--info-rgba-20: rgba(13, 202, 240, 0.2);
	--info-rgba-30: rgba(13, 202, 240, 0.3);
	--info-rgba-40: rgba(13, 202, 240, 0.4);
	--info-rgba-50: rgba(13, 202, 240, 0.5);
	--info-rgba-60: rgba(13, 202, 240, 0.6);
	--info-rgba-70: rgba(13, 202, 240, 0.7);
	--info-rgba-80: rgba(13, 202, 240, 0.8);
	--info-rgba-90: rgba(13, 202, 240, 0.9);

	/* Light */
	--light: #f8f9fa;
	--light-rgb: 248,249,250;
	--light-text: #1d2127;
	--light-text-inactive: rgba(29, 33, 39, 0.8);
	--light-text-disabled: rgba(29, 33, 39, 0.5);
	--light-text-emphasis: #4a4b4b;
	--light-bg-subtle: #fefeff;
	--light-border-subtle: #fcfcfd;
	--light-text-emphasis-dark: #fcfdfd;
	--light-bg-subtle-dark: #323232;
	--light-border-subtle-dark: #636464;
	--light-10: #f6f7f8;
	--light-20: #f3f4f5;
	--light-30: #f1f2f3;
	--light-40: #eeeff0;
	--light-50: #ecedee;
	--light-60: #e9eaeb;
	--light-70: #e7e8e9;
	--light-80: #e4e5e6;
	--light-90: #e2e3e4;
	--light-100: #dfe0e1;
	--light-200: #c6c7c8;
	--light-300: #aeaeaf;
	--light-400: #959596;
	--light-500: #7c7d7d;
	--light--10: #f8f9fa;
	--light--20: #f8f9fa;
	--light--30: #f8f9fa;
	--light--40: #f8f9fa;
	--light--50: #f8f9fa;
	--light--60: #f8f9fa;
	--light--70: #f8f9fa;
	--light--80: #f9f9fa;
	--light--90: #f9fafa;
	--light--100: #f9fafb;
	--light--200: #f9fafb;
	--light--300: #fafbfc;
	--light--400: #fbfbfc;
	--light--500: #fcfcfd;
	--light-rgba-0: rgba(248, 249, 250, 0);
	--light-rgba-10: rgba(248, 249, 250, 0.1);
	--light-rgba-20: rgba(248, 249, 250, 0.2);
	--light-rgba-30: rgba(248, 249, 250, 0.3);
	--light-rgba-40: rgba(248, 249, 250, 0.4);
	--light-rgba-50: rgba(248, 249, 250, 0.5);
	--light-rgba-60: rgba(248, 249, 250, 0.6);
	--light-rgba-70: rgba(248, 249, 250, 0.7);
	--light-rgba-80: rgba(248, 249, 250, 0.8);
	--light-rgba-90: rgba(248, 249, 250, 0.9);

	/* Dark */
	--dark: #1d2127;
	--dark-rgb: 29,33,39;
	--dark-text: #f8f9fa;
	--dark-text-inactive: rgba(248, 249, 250, 0.8);
	--dark-text-disabled: rgba(248, 249, 250, 0.5);
	--dark-text-emphasis: #090a0c;
	--dark-bg-subtle: #e8e9e9;
	--dark-border-subtle: #a0a2a4;
	--dark-text-emphasis-dark: #a5a6a9;
	--dark-bg-subtle-dark: #060708;
	--dark-border-subtle-dark: #0c0d10;
	--dark-10: #1d2127;
	--dark-20: #1c2026;
	--dark-30: #1c2026;
	--dark-40: #1c2025;
	--dark-50: #1c1f25;
	--dark-60: #1b1f25;
	--dark-70: #1b1f24;
	--dark-80: #1b1e24;
	--dark-90: #1a1e23;
	--dark-100: #1a1e23;
	--dark-200: #171a1f;
	--dark-300: #14171b;
	--dark-400: #111417;
	--dark-500: #0f1114;
	--dark--10: #1f2329;
	--dark--20: #22252b;
	--dark--30: #24282d;
	--dark--40: #262a30;
	--dark--50: #282c32;
	--dark--60: #2b2e34;
	--dark--70: #2d3136;
	--dark--80: #2f3338;
	--dark--90: #31353a;
	--dark--100: #34373d;
	--dark--200: #4a4d52;
	--dark--300: #616468;
	--dark--400: #777a7d;
	--dark--500: #8e9093;
	--dark-rgba-0: rgba(29, 33, 39, 0);
	--dark-rgba-10: rgba(29, 33, 39, 0.1);
	--dark-rgba-20: rgba(29, 33, 39, 0.2);
	--dark-rgba-30: rgba(29, 33, 39, 0.3);
	--dark-rgba-40: rgba(29, 33, 39, 0.4);
	--dark-rgba-50: rgba(29, 33, 39, 0.5);
	--dark-rgba-60: rgba(29, 33, 39, 0.6);
	--dark-rgba-70: rgba(29, 33, 39, 0.7);
	--dark-rgba-80: rgba(29, 33, 39, 0.8);
	--dark-rgba-90: rgba(29, 33, 39, 0.9);

	/* Color01 */
	--color01: #ffcc29;
	--color01-rgb: 255,204,41;
	--color01-text: #f8f9fa;
	--color01-text-inactive: rgba(248, 249, 250, 0.8);
	--color01-text-disabled: rgba(248, 249, 250, 0.5);
	--color01-text-emphasis: #4d3d0c;
	--color01-bg-subtle: #fffaea;
	--color01-border-subtle: #ffeaa5;
	--color01-text-emphasis-dark: #ffeba9;
	--color01-bg-subtle-dark: #332908;
	--color01-border-subtle-dark: #665210;
	--color01-10: #fcca29;
	--color01-20: #fac828;
	--color01-30: #f7c628;
	--color01-40: #f5c427;
	--color01-50: #f2c227;
	--color01-60: #f0c027;
	--color01-70: #edbe26;
	--color01-80: #ebbc26;
	--color01-90: #e8ba25;
	--color01-100: #e6b825;
	--color01-200: #cca321;
	--color01-300: #b38f1d;
	--color01-400: #997a19;
	--color01-500: #806615;
	--color01--10: #ffcd2b;
	--color01--20: #ffcd2d;
	--color01--30: #ffce2f;
	--color01--40: #ffce32;
	--color01--50: #ffcf34;
	--color01--60: #ffcf36;
	--color01--70: #ffd038;
	--color01--80: #ffd03a;
	--color01--90: #ffd13c;
	--color01--100: #ffd13e;
	--color01--200: #ffd654;
	--color01--300: #ffdb69;
	--color01--400: #ffe07f;
	--color01--500: #ffe694;
	--color01-rgba-0: rgba(255, 204, 41, 0);
	--color01-rgba-10: rgba(255, 204, 41, 0.1);
	--color01-rgba-20: rgba(255, 204, 41, 0.2);
	--color01-rgba-30: rgba(255, 204, 41, 0.3);
	--color01-rgba-40: rgba(255, 204, 41, 0.4);
	--color01-rgba-50: rgba(255, 204, 41, 0.5);
	--color01-rgba-60: rgba(255, 204, 41, 0.6);
	--color01-rgba-70: rgba(255, 204, 41, 0.7);
	--color01-rgba-80: rgba(255, 204, 41, 0.8);
	--color01-rgba-90: rgba(255, 204, 41, 0.9);

	/* Color02 */
	--color02: #eb5e36;
	--color02-rgb: 235,94,54;
	--color02-text: #f8f9fa;
	--color02-text-inactive: rgba(248, 249, 250, 0.8);
	--color02-text-disabled: rgba(248, 249, 250, 0.5);
	--color02-text-emphasis: #471c10;
	--color02-bg-subtle: #fdefeb;
	--color02-border-subtle: #f7bbab;
	--color02-text-emphasis-dark: #f7bfaf;
	--color02-bg-subtle-dark: #2f130b;
	--color02-border-subtle-dark: #5e2616;
	--color02-10: #e95d35;
	--color02-20: #e65c35;
	--color02-30: #e45b34;
	--color02-40: #e25a34;
	--color02-50: #df5933;
	--color02-60: #dd5833;
	--color02-70: #db5732;
	--color02-80: #d85632;
	--color02-90: #d65631;
	--color02-100: #d45531;
	--color02-200: #bc4b2b;
	--color02-300: #a54226;
	--color02-400: #8d3820;
	--color02-500: #762f1b;
	--color02--10: #eb6038;
	--color02--20: #eb613a;
	--color02--30: #ec633c;
	--color02--40: #ec643e;
	--color02--50: #ec6640;
	--color02--60: #ec6842;
	--color02--70: #ec6944;
	--color02--80: #ed6b46;
	--color02--90: #ed6c48;
	--color02--100: #ed6e4a;
	--color02--200: #ef7e5e;
	--color02--300: #f18e72;
	--color02--400: #f39e86;
	--color02--500: #f5af9b;
	--color02-rgba-0: rgba(235, 94, 54, 0);
	--color02-rgba-10: rgba(235, 94, 54, 0.1);
	--color02-rgba-20: rgba(235, 94, 54, 0.2);
	--color02-rgba-30: rgba(235, 94, 54, 0.3);
	--color02-rgba-40: rgba(235, 94, 54, 0.4);
	--color02-rgba-50: rgba(235, 94, 54, 0.5);
	--color02-rgba-60: rgba(235, 94, 54, 0.6);
	--color02-rgba-70: rgba(235, 94, 54, 0.7);
	--color02-rgba-80: rgba(235, 94, 54, 0.8);
	--color02-rgba-90: rgba(235, 94, 54, 0.9);

	/* Color03 */
	--color03: #c03284;
	--color03-rgb: 192,50,132;
	--color03-text: #f8f9fa;
	--color03-text-inactive: rgba(248, 249, 250, 0.8);
	--color03-text-disabled: rgba(248, 249, 250, 0.5);
	--color03-text-emphasis: #3a0f28;
	--color03-bg-subtle: #f9ebf3;
	--color03-border-subtle: #e5a9cb;
	--color03-text-emphasis-dark: #e6adce;
	--color03-bg-subtle-dark: #260a1a;
	--color03-border-subtle-dark: #4d1435;
	--color03-10: #be3283;
	--color03-20: #bc3181;
	--color03-30: #ba3180;
	--color03-40: #b8307f;
	--color03-50: #b6307d;
	--color03-60: #b42f7c;
	--color03-70: #b32f7b;
	--color03-80: #b12e79;
	--color03-90: #af2e78;
	--color03-100: #ad2d77;
	--color03-200: #9a286a;
	--color03-300: #86235c;
	--color03-400: #731e4f;
	--color03-500: #601942;
	--color03--10: #c13485;
	--color03--20: #c13686;
	--color03--30: #c23888;
	--color03--40: #c33a89;
	--color03--50: #c33c8a;
	--color03--60: #c43e8b;
	--color03--70: #c4408d;
	--color03--80: #c5428e;
	--color03--90: #c6448f;
	--color03--100: #c64790;
	--color03--200: #cd5b9d;
	--color03--300: #d370a9;
	--color03--400: #d984b5;
	--color03--500: #e099c2;
	--color03-rgba-0: rgba(192, 50, 132, 0);
	--color03-rgba-10: rgba(192, 50, 132, 0.1);
	--color03-rgba-20: rgba(192, 50, 132, 0.2);
	--color03-rgba-30: rgba(192, 50, 132, 0.3);
	--color03-rgba-40: rgba(192, 50, 132, 0.4);
	--color03-rgba-50: rgba(192, 50, 132, 0.5);
	--color03-rgba-60: rgba(192, 50, 132, 0.6);
	--color03-rgba-70: rgba(192, 50, 132, 0.7);
	--color03-rgba-80: rgba(192, 50, 132, 0.8);
	--color03-rgba-90: rgba(192, 50, 132, 0.9);

	/* Color04 */
	--color04: #0582a6;
	--color04-rgb: 5,130,166;
	--color04-text: #f8f9fa;
	--color04-text-inactive: rgba(248, 249, 250, 0.8);
	--color04-text-disabled: rgba(248, 249, 250, 0.5);
	--color04-text-emphasis: #022732;
	--color04-bg-subtle: #e6f3f6;
	--color04-border-subtle: #96cbda;
	--color04-text-emphasis-dark: #9bcddb;
	--color04-bg-subtle-dark: #011a21;
	--color04-border-subtle-dark: #023442;
	--color04-10: #0581a4;
	--color04-20: #057fa3;
	--color04-30: #057ea1;
	--color04-40: #057d9f;
	--color04-50: #057c9e;
	--color04-60: #057a9c;
	--color04-70: #05799a;
	--color04-80: #057899;
	--color04-90: #057697;
	--color04-100: #057595;
	--color04-200: #046885;
	--color04-300: #045b74;
	--color04-400: #034e64;
	--color04-500: #034153;
	--color04--10: #0883a7;
	--color04--20: #0a85a8;
	--color04--30: #0d86a9;
	--color04--40: #0f87aa;
	--color04--50: #1288aa;
	--color04--60: #148aab;
	--color04--70: #178bac;
	--color04--80: #198cad;
	--color04--90: #1c8dae;
	--color04--100: #1e8faf;
	--color04--200: #379bb8;
	--color04--300: #50a8c1;
	--color04--400: #69b4ca;
	--color04--500: #82c1d3;
	--color04-rgba-0: rgba(5, 130, 166, 0);
	--color04-rgba-10: rgba(5, 130, 166, 0.1);
	--color04-rgba-20: rgba(5, 130, 166, 0.2);
	--color04-rgba-30: rgba(5, 130, 166, 0.3);
	--color04-rgba-40: rgba(5, 130, 166, 0.4);
	--color04-rgba-50: rgba(5, 130, 166, 0.5);
	--color04-rgba-60: rgba(5, 130, 166, 0.6);
	--color04-rgba-70: rgba(5, 130, 166, 0.7);
	--color04-rgba-80: rgba(5, 130, 166, 0.8);
	--color04-rgba-90: rgba(5, 130, 166, 0.9);

	/* Color05 */
	--color05: #1f65af;
	--color05-rgb: 31,101,175;
	--color05-text: #f8f9fa;
	--color05-text-inactive: rgba(248, 249, 250, 0.8);
	--color05-text-disabled: rgba(248, 249, 250, 0.5);
	--color05-text-emphasis: #091e35;
	--color05-bg-subtle: #e9f0f7;
	--color05-border-subtle: #a1bedd;
	--color05-text-emphasis-dark: #a5c1df;
	--color05-bg-subtle-dark: #061423;
	--color05-border-subtle-dark: #0c2846;
	--color05-10: #1f64ad;
	--color05-20: #1e63ac;
	--color05-30: #1e62aa;
	--color05-40: #1e61a8;
	--color05-50: #1d60a6;
	--color05-60: #1d5fa5;
	--color05-70: #1d5ea3;
	--color05-80: #1d5da1;
	--color05-90: #1c5c9f;
	--color05-100: #1c5b9e;
	--color05-200: #19518c;
	--color05-300: #16477b;
	--color05-400: #133d69;
	--color05-500: #103358;
	--color05--10: #2167b0;
	--color05--20: #2368b1;
	--color05--30: #266ab1;
	--color05--40: #286bb2;
	--color05--50: #2a6db3;
	--color05--60: #2c6eb4;
	--color05--70: #2f70b5;
	--color05--80: #3171b5;
	--color05--90: #3373b6;
	--color05--100: #3574b7;
	--color05--200: #4c84bf;
	--color05--300: #6293c7;
	--color05--400: #79a3cf;
	--color05--500: #8fb2d7;
	--color05-rgba-0: rgba(31, 101, 175, 0);
	--color05-rgba-10: rgba(31, 101, 175, 0.1);
	--color05-rgba-20: rgba(31, 101, 175, 0.2);
	--color05-rgba-30: rgba(31, 101, 175, 0.3);
	--color05-rgba-40: rgba(31, 101, 175, 0.4);
	--color05-rgba-50: rgba(31, 101, 175, 0.5);
	--color05-rgba-60: rgba(31, 101, 175, 0.6);
	--color05-rgba-70: rgba(31, 101, 175, 0.7);
	--color05-rgba-80: rgba(31, 101, 175, 0.8);
	--color05-rgba-90: rgba(31, 101, 175, 0.9);

	/* Color06 */
	--color06: #378f4e;
	--color06-rgb: 55,143,78;
	--color06-text: #f8f9fa;
	--color06-text-inactive: rgba(248, 249, 250, 0.8);
	--color06-text-disabled: rgba(248, 249, 250, 0.5);
	--color06-text-emphasis: #112b17;
	--color06-bg-subtle: #ebf4ed;
	--color06-border-subtle: #abd0b5;
	--color06-text-emphasis-dark: #afd2b8;
	--color06-bg-subtle-dark: #0b1d10;
	--color06-border-subtle-dark: #16391f;
	--color06-10: #368e4d;
	--color06-20: #368c4c;
	--color06-30: #358b4c;
	--color06-40: #35894b;
	--color06-50: #34884a;
	--color06-60: #348649;
	--color06-70: #338549;
	--color06-80: #338448;
	--color06-90: #328247;
	--color06-100: #328146;
	--color06-200: #2c723e;
	--color06-300: #276437;
	--color06-400: #21562f;
	--color06-500: #1c4827;
	--color06--10: #399050;
	--color06--20: #3b9152;
	--color06--30: #3d9253;
	--color06--40: #3f9355;
	--color06--50: #419557;
	--color06--60: #439659;
	--color06--70: #45975a;
	--color06--80: #47985c;
	--color06--90: #49995e;
	--color06--100: #4b9a60;
	--color06--200: #5fa571;
	--color06--300: #73b183;
	--color06--400: #87bc95;
	--color06--500: #9bc7a7;
	--color06-rgba-0: rgba(55, 143, 78, 0);
	--color06-rgba-10: rgba(55, 143, 78, 0.1);
	--color06-rgba-20: rgba(55, 143, 78, 0.2);
	--color06-rgba-30: rgba(55, 143, 78, 0.3);
	--color06-rgba-40: rgba(55, 143, 78, 0.4);
	--color06-rgba-50: rgba(55, 143, 78, 0.5);
	--color06-rgba-60: rgba(55, 143, 78, 0.6);
	--color06-rgba-70: rgba(55, 143, 78, 0.7);
	--color06-rgba-80: rgba(55, 143, 78, 0.8);
	--color06-rgba-90: rgba(55, 143, 78, 0.9);

	/* Color07 */
	--color07: #cfd939;
	--color07-rgb: 207,217,57;
	--color07-text: #f8f9fa;
	--color07-text-inactive: rgba(248, 249, 250, 0.8);
	--color07-text-disabled: rgba(248, 249, 250, 0.5);
	--color07-text-emphasis: #3e4111;
	--color07-bg-subtle: #fafbeb;
	--color07-border-subtle: #ebefac;
	--color07-text-emphasis-dark: #ecf0b0;
	--color07-bg-subtle-dark: #292b0b;
	--color07-border-subtle-dark: #535717;
	--color07-10: #cdd738;
	--color07-20: #cbd538;
	--color07-30: #c9d237;
	--color07-40: #c7d037;
	--color07-50: #c5ce36;
	--color07-60: #c3cc36;
	--color07-70: #c1ca35;
	--color07-80: #bec834;
	--color07-90: #bcc534;
	--color07-100: #bac333;
	--color07-200: #a6ae2e;
	--color07-300: #919828;
	--color07-400: #7c8222;
	--color07-500: #686d1d;
	--color07--10: #cfd93b;
	--color07--20: #d0da3d;
	--color07--30: #d0da3f;
	--color07--40: #d1db41;
	--color07--50: #d1db43;
	--color07--60: #d2db45;
	--color07--70: #d2dc47;
	--color07--80: #d3dc49;
	--color07--90: #d3dc4b;
	--color07--100: #d4dd4d;
	--color07--200: #d9e161;
	--color07--300: #dde474;
	--color07--400: #e2e888;
	--color07--500: #e7ec9c;
	--color07-rgba-0: rgba(207, 217, 57, 0);
	--color07-rgba-10: rgba(207, 217, 57, 0.1);
	--color07-rgba-20: rgba(207, 217, 57, 0.2);
	--color07-rgba-30: rgba(207, 217, 57, 0.3);
	--color07-rgba-40: rgba(207, 217, 57, 0.4);
	--color07-rgba-50: rgba(207, 217, 57, 0.5);
	--color07-rgba-60: rgba(207, 217, 57, 0.6);
	--color07-rgba-70: rgba(207, 217, 57, 0.7);
	--color07-rgba-80: rgba(207, 217, 57, 0.8);
	--color07-rgba-90: rgba(207, 217, 57, 0.9);

	/* Color08 */
	--color08: #34ace7;
	--color08-rgb: 52,172,231;
	--color08-text: #f8f9fa;
	--color08-text-inactive: rgba(248, 249, 250, 0.8);
	--color08-text-disabled: rgba(248, 249, 250, 0.5);
	--color08-text-emphasis: #103445;
	--color08-bg-subtle: #ebf7fd;
	--color08-border-subtle: #aadcf5;
	--color08-text-emphasis-dark: #aedef5;
	--color08-bg-subtle-dark: #0a222e;
	--color08-border-subtle-dark: #15455c;
	--color08-10: #33aae5;
	--color08-20: #33a9e2;
	--color08-30: #32a7e0;
	--color08-40: #32a5de;
	--color08-50: #31a3db;
	--color08-60: #31a2d9;
	--color08-70: #30a0d7;
	--color08-80: #309ed5;
	--color08-90: #2f9dd2;
	--color08-100: #2f9bd0;
	--color08-200: #2a8ab9;
	--color08-300: #2478a2;
	--color08-400: #1f678b;
	--color08-500: #1a5674;
	--color08--10: #36ade7;
	--color08--20: #38aee7;
	--color08--30: #3aaee8;
	--color08--40: #3cafe8;
	--color08--50: #3eb0e8;
	--color08--60: #40b1e8;
	--color08--70: #42b2e9;
	--color08--80: #44b3e9;
	--color08--90: #46b3e9;
	--color08--100: #48b4e9;
	--color08--200: #5dbdec;
	--color08--300: #71c5ee;
	--color08--400: #85cdf1;
	--color08--500: #9ad6f3;
	--color08-rgba-0: rgba(52, 172, 231, 0);
	--color08-rgba-10: rgba(52, 172, 231, 0.1);
	--color08-rgba-20: rgba(52, 172, 231, 0.2);
	--color08-rgba-30: rgba(52, 172, 231, 0.3);
	--color08-rgba-40: rgba(52, 172, 231, 0.4);
	--color08-rgba-50: rgba(52, 172, 231, 0.5);
	--color08-rgba-60: rgba(52, 172, 231, 0.6);
	--color08-rgba-70: rgba(52, 172, 231, 0.7);
	--color08-rgba-80: rgba(52, 172, 231, 0.8);
	--color08-rgba-90: rgba(52, 172, 231, 0.9);

	/* Color09 */
	--color09: #f07928;
	--color09-rgb: 240,121,40;
	--color09-text: #f8f9fa;
	--color09-text-inactive: rgba(248, 249, 250, 0.8);
	--color09-text-disabled: rgba(248, 249, 250, 0.5);
	--color09-text-emphasis: #48240c;
	--color09-bg-subtle: #fef2ea;
	--color09-border-subtle: #f9c7a5;
	--color09-text-emphasis-dark: #f9c9a9;
	--color09-bg-subtle-dark: #301808;
	--color09-border-subtle-dark: #603010;
	--color09-10: #ee7828;
	--color09-20: #eb7727;
	--color09-30: #e97527;
	--color09-40: #e67426;
	--color09-50: #e47326;
	--color09-60: #e27226;
	--color09-70: #df7125;
	--color09-80: #dd6f25;
	--color09-90: #da6e24;
	--color09-100: #d86d24;
	--color09-200: #c06120;
	--color09-300: #a8551c;
	--color09-400: #904918;
	--color09-500: #783d14;
	--color09--10: #f07a2a;
	--color09--20: #f07c2c;
	--color09--30: #f07d2e;
	--color09--40: #f17e31;
	--color09--50: #f18033;
	--color09--60: #f18135;
	--color09--70: #f18237;
	--color09--80: #f18439;
	--color09--90: #f1853b;
	--color09--100: #f2863e;
	--color09--200: #f39453;
	--color09--300: #f5a169;
	--color09--400: #f6af7e;
	--color09--500: #f8bc94;
	--color09-rgba-0: rgba(240, 121, 40, 0);
	--color09-rgba-10: rgba(240, 121, 40, 0.1);
	--color09-rgba-20: rgba(240, 121, 40, 0.2);
	--color09-rgba-30: rgba(240, 121, 40, 0.3);
	--color09-rgba-40: rgba(240, 121, 40, 0.4);
	--color09-rgba-50: rgba(240, 121, 40, 0.5);
	--color09-rgba-60: rgba(240, 121, 40, 0.6);
	--color09-rgba-70: rgba(240, 121, 40, 0.7);
	--color09-rgba-80: rgba(240, 121, 40, 0.8);
	--color09-rgba-90: rgba(240, 121, 40, 0.9);

}

:root {

	/* base */
	--current: var(--light);
	--current-rgb: var(--light-rgb);

	/* text */
	--current-text: var(--light-text);
	--current-text-inactive: var(--light-text-inactive);
	--current-text-disabled: var(--light-text-disabled);
	--current-text-emphasis: var(--light-text-emphasis);

	/* subtle */
	--current-bg-subtle: var(--light-bg-subtle);
	--current-border-subtle: var(--light-border-subtle);

	/* dark counterparts */
	--current-text-emphasis-dark: var(--light-text-emphasis-dark);
	--current-bg-subtle-dark: var(--light-bg-subtle-dark);
	--current-border-subtle-dark: var(--light-border-subtle-dark);

	/* scale */
	--current-10: var(--light-10);
	--current-20: var(--light-20);
	--current-30: var(--light-30);
	--current-40: var(--light-40);
	--current-50: var(--light-50);
	--current-60: var(--light-60);
	--current-70: var(--light-70);
	--current-80: var(--light-80);
	--current-90: var(--light-90);
	--current-100: var(--light-100);
	--current-200: var(--light-200);
	--current-300: var(--light-300);
	--current-400: var(--light-400);
	--current-500: var(--light-500);

	--current--10: var(--light--10);
	--current--20: var(--light--20);
	--current--30: var(--light--30);
	--current--40: var(--light--40);
	--current--50: var(--light--50);
	--current--60: var(--light--60);
	--current--70: var(--light--70);
	--current--80: var(--light--80);
	--current--90: var(--light--90);
	--current--100: var(--light--100);
	--current--200: var(--light--200);
	--current--300: var(--light--300);
	--current--400: var(--light--400);
	--current--500: var(--light--500);

	/* rgba */
	--current-rgba-0: var(--light-rgba-0);
	--current-rgba-10: var(--light-rgba-10);
	--current-rgba-20: var(--light-rgba-20);
	--current-rgba-30: var(--light-rgba-30);
	--current-rgba-40: var(--light-rgba-40);
	--current-rgba-50: var(--light-rgba-50);
	--current-rgba-60: var(--light-rgba-60);
	--current-rgba-70: var(--light-rgba-70);
	--current-rgba-80: var(--light-rgba-80);
	--current-rgba-90: var(--light-rgba-90);

	--current-border: var(--current-80);
	--current-bg: var(--current);
	--current-surface: var(--current-20);

	--current-panel-surface: var(--current-20);
	--current-panel-heading: var(--current-40);
	--current-panel-heading-text: var(--current-40);
}

html.dark {

	/* base */
	--current: var(--dark);
	--current-rgb: var(--dark-rgb);

	/* text */
	--current-text: var(--dark-text);
	--current-text-inactive: var(--dark-text-inactive);
	--current-text-disabled: var(--dark-text-disabled);
	--current-text-emphasis: var(--dark-text-emphasis);

	/* subtle */
	--current-bg-subtle: var(--dark-bg-subtle);
	--current-border-subtle: var(--dark-border-subtle);

	/* dark counterparts */
	--current-text-emphasis-dark: var(--dark-text-emphasis-dark);
	--current-bg-subtle-dark: var(--dark-bg-subtle-dark);
	--current-border-subtle-dark: var(--dark-border-subtle-dark);

	/* scale */
	--current-10: var(--dark-10);
	--current-20: var(--dark-20);
	--current-30: var(--dark-30);
	--current-40: var(--dark-40);
	--current-50: var(--dark-50);
	--current-60: var(--dark-60);
	--current-70: var(--dark-70);
	--current-80: var(--dark-80);
	--current-90: var(--dark-90);
	--current-100: var(--dark-100);
	--current-200: var(--dark-200);
	--current-300: var(--dark-300);
	--current-400: var(--dark-400);
	--current-500: var(--dark-500);

	--current--10: var(--dark--10);
	--current--20: var(--dark--20);
	--current--30: var(--dark--30);
	--current--40: var(--dark--40);
	--current--50: var(--dark--50);
	--current--60: var(--dark--60);
	--current--70: var(--dark--70);
	--current--80: var(--dark--80);
	--current--90: var(--dark--90);
	--current--100: var(--dark--100);
	--current--200: var(--dark--200);
	--current--300: var(--dark--300);
	--current--400: var(--dark--400);
	--current--500: var(--dark--500);

	/* rgba */
	--current-rgba-0: var(--dark-rgba-0);
	--current-rgba-10: var(--dark-rgba-10);
	--current-rgba-20: var(--dark-rgba-20);
	--current-rgba-30: var(--dark-rgba-30);
	--current-rgba-40: var(--dark-rgba-40);
	--current-rgba-50: var(--dark-rgba-50);
	--current-rgba-60: var(--dark-rgba-60);
	--current-rgba-70: var(--dark-rgba-70);
	--current-rgba-80: var(--dark-rgba-80);
	--current-rgba-90: var(--dark-rgba-90);
	
	--current-border: var(--current--80);
	--current-bg: var(--current);
	--current-surface: var(--current--20);
	--current-panel-surface: var(--current--20);
	--current-panel-heading: var(--current--40);
	--current-panel-heading-text: var(--current--40);

}